export function formatRichText(url) {
  let src = document.querySelectorAll('#text .ql-editor img');
  console.log(src);
  for (let i = 0; i < src.length; i++) {
    const string = src[i].getAttribute('src');
    const flag = string.includes('http://');
    if (!flag) src[i].setAttribute('src', url + string);
  }
  let src2 = document.querySelectorAll('#text .ql-editor a');
  for (let i = 0; i < src2.length; i++) {
    const string = src2[i].getAttribute('href');
    const flag = string.includes('http://');
    if (!flag) src2[i].setAttribute('href', url + string);
  }
  // var imgReg = /<img.*?(?:>|\/>)/gi;
  // var srcReg = /src=[\'\"]?([^\'\"]*)[\'\"]?/i;
  // var arr = html.match(imgReg);
  // // console.log(arr);
  // for (let i = 0; i < arr.length; i++) {
  //   let src = arr[i].match(srcReg);
  //   //获取图片地址
  //   console.log(html);
  //   console.log(src[1]);
  //   if (src[1]) {
  //     var newContent = html.replace(
  //       /\<img/gi,
  //       `<img src="${url}${src[1]}"`
  //     );
  //   }
  // }
  // return this.aaa(url, newContent);
}
// function aaa(url, html) {
//   console.log(url);
//   console.log(html);
//   var aReg = /<a.*?(?:>|\/>)/gi;
//   var hrefReg = /href=[\'\"]?([^\'\"]*)[\'\"]?/i;
//   var arr2 = html.match(aReg);
//   for (let i = 0; i < arr2.length; i++) {
//     let src = arr2[i].match(hrefReg);
//     //获取图片地址
//     if (src[1]) {
//       var newContent = html.replace(/\<a/gi, `<a href="${url}${src[1]}"`);
//     }
//     // 替换src
//     // if (src[0]) {
//     //   var t = src[0].replace(/src/i, 'href');
//     //   console.log(t);
//     // }
//   }
//   return newContent;
// }
